Bug 668284 - [abrt] gpodder-2.8-2.fc14: feedcore.py:156:_check_offline:Offline
Summary: [abrt] gpodder-2.8-2.fc14: feedcore.py:156:_check_offline:Offline
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gpodder
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:da92ebcf
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-09 19:25 UTC by giles
Modified: 2011-02-02 19:29 UTC (History)
2 users (show)

Fixed In Version: python-mygpoclient-1.5-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-02 19:27:11 UTC


Attachments (Terms of Use)
File: backtrace (1.33 KB, text/plain)
2011-01-09 19:25 UTC, giles
no flags Details

Description giles 2011-01-09 19:25:38 UTC
abrt version: 1.1.14
architecture: x86_64
component: gpodder
executable: /usr/bin/gpo
kernel: 2.6.35.10-74.fc14.x86_64
package: gpodder-2.8-2.fc14
reason: feedcore.py:156:_check_offline:Offline
release: Fedora release 14 (Laughlin)
time: 1294600267
uid: 500

backtrace
-----
feedcore.py:156:_check_offline:Offline

Traceback (most recent call last):
  File "/usr/bin/gpo", line 265, in <module>
    cli._parse(sys.argv[1:]) or sys.stderr.write(__doc__)
  File "/usr/bin/gpo", line 258, in _parse
    return self._checkargs(func, command_line)
  File "/usr/bin/gpo", line 244, in _checkargs
    return func(*command_line)
  File "/usr/bin/gpo", line 186, in update
    podcast.update()
  File "/usr/lib/python2.7/site-packages/gpodder/api.py", line 84, in update
    self._manager._config.mimetype_prefs)
  File "/usr/lib/python2.7/site-packages/gpodder/model.py", line 319, in update
    self.feed_fetcher.fetch_channel(self)
  File "/usr/lib/python2.7/site-packages/gpodder/model.py", line 73, in fetch_channel
    self.fetch(url, etag, modified)
  File "/usr/lib/python2.7/site-packages/gpodder/feedcore.py", line 238, in fetch
    self._parse_feed(url, etag, modified)
  File "/usr/lib/python2.7/site-packages/gpodder/feedcore.py", line 221, in _parse_feed
    self._check_offline(feed)
  File "/usr/lib/python2.7/site-packages/gpodder/feedcore.py", line 156, in _check_offline
    raise Offline()
Offline

Local variables in innermost frame:
feed: {'feed': {}, 'encoding': 'utf-8', 'bozo': 1, 'version': None, 'entries': [], 'bozo_exception': URLError(timeout('timed out',),)}
self: <gpodder.model.gPodderFetcher object at 0x17a6b10>

How to reproduce
-----
1. backend task run by cron:
10 16,20,21,22,23 * * * gpo update
13 16,20,21,22,23 * * * gpo download
15 16,20,21,22,23 * * * gpo sync
2.
3.

Comment 1 giles 2011-01-09 19:25:40 UTC
Created attachment 472462 [details]
File: backtrace

Comment 2 Ville-Pekka Vainio 2011-01-10 11:43:56 UTC
This isn't really a bug as such, but code design, which doesn't fit well with Fedora's ABRT. I might discuss this with the gPodder upstream maintainer at some point.

Comment 3 Ville-Pekka Vainio 2011-01-10 20:43:26 UTC
Upstream bug report: https://bugs.gpodder.org/show_bug.cgi?id=1264

Comment 4 Ville-Pekka Vainio 2011-01-12 12:48:18 UTC
Fixed in http://repo.or.cz/w/gpodder.git/commitdiff/68aa84c1
I plan to eventually get a newer version of gpodder into Fedora and I could ship this patch then. However, it mainly depends on the review request of python-pymtp being approved.

Comment 5 Fedora Update System 2011-01-15 22:56:57 UTC
python-mygpoclient-1.5-1.fc14,python-pymtp-0.0.4-1.fc14,gpodder-2.12-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-mygpoclient-1.5-1.fc14,python-pymtp-0.0.4-1.fc14,gpodder-2.12-1.fc14

Comment 6 Fedora Update System 2011-01-15 23:01:04 UTC
python-mygpoclient-1.5-1.fc13,python-pymtp-0.0.4-1.fc13,gpodder-2.12-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-mygpoclient-1.5-1.fc13,python-pymtp-0.0.4-1.fc13,gpodder-2.12-1.fc13

Comment 7 Fedora Update System 2011-01-17 20:57:31 UTC
python-mygpoclient-1.5-1.fc13, python-pymtp-0.0.4-1.fc13, gpodder-2.12-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-mygpoclient python-pymtp gpodder'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-mygpoclient-1.5-1.fc13,python-pymtp-0.0.4-1.fc13,gpodder-2.12-1.fc13

Comment 8 Fedora Update System 2011-02-02 19:27:01 UTC
python-mygpoclient-1.5-1.fc13, python-pymtp-0.0.4-1.fc13, gpodder-2.12-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-02-02 19:29:01 UTC
python-mygpoclient-1.5-1.fc14, python-pymtp-0.0.4-1.fc14, gpodder-2.12-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.